uuid: 53de941e-6324-4326-ac0d-44c7fdf6fa73
langcode: en
status: true
dependencies: {  }
id: gronze_media_document
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - files
  - gronze
  - media_document
  - level2
migration_group: gronze_files
label: 'Media document migration from Gronze D7'
source:
  plugin: d7_file_entity_item_gronze
  scheme: public
  type: document
  high_water_property:
    name: fid
    alias: fm
process:
  langcode:
    plugin: default_value
    default_value: es
  field_media_document/target_id:
    -
      plugin: migration_lookup
      migration: gronze_file_managed
      source: fid
    -
      plugin: skip_on_empty
      method: row
  field_media_document/display:
    plugin: default_value
    default_value: 1
  field_tags:
    plugin: sub_process
    source: field_tags
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_tags
        source: tid
        no_stub: true
  status: status
  created: timestamp
  changed: timestamp
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
destination:
  plugin: 'entity:media'
  default_bundle: document
migration_dependencies:
  required:
    - gronze_file_managed
    - gronze_taxonomy_tags
